# ApplicationFramework
TKPShape
PColPGeom

# PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve Class Reference

`#include <PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve.hxx>`

Inheritance diagram for PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve:

[legend]

## Public Member Functions

Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve ()
Standard_EXPORT | PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve (const Handle(PGeom_Curve)&aValue)
Standard_EXPORT void | SetValue (const Handle(PGeom_Curve)&aValue)
Standard_EXPORT Standard_Address | Value () const
| PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve (const Storage_stCONSTclCOM &a)
| Handle (PGeom_Curve) _CSFDB_GetPColPGeom_VArrayNodeOfFieldOfHArray1OfCurvemyValue() const
void | _CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray1OfCurvemyValue (const Handle(PGeom_Curve)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_PGeom_Curve | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve | ( |  | ) |

Standard_EXPORT PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve | ( | const Handle(PGeom_Curve)& | aValue | ) |

PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::_CSFDB_SetPColPGeom_VArrayNodeOfFieldOfHArray1OfCurvemyValue | ( | const Handle(PGeom_Curve)& | p | ) | `[inline]`

Standard_EXPORT const PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::Handle | ( | PGeom_Curve |  | ) | const`[inline]`

Standard_EXPORT void PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::SetValue | ( | const Handle(PGeom_Curve)& | aValue | ) |

Standard_EXPORT Standard_Address PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::Value | ( |  | ) | const

## Field Documentation

Handle_PGeom_Curve PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve::myValue `[private]`

The documentation for this class was generated from the following file:

- PColPGeom_VArrayNodeOfFieldOfHArray1OfCurve.hxx